Subject: Re: BUILDING PHP4.2.2 on Windows using supplied .DSW, MS VS C++ 6.0, and Cygwin Headers?
From: "Gerrit P. Haase" <[email-masked]>
To: mike <[email-masked]>
Cc: [email-masked]
Date: Fri, 30 Aug 2002 07:41:47 +0200

Hallo mike,

Am Freitag, 30. August 2002 um 06:55 schriebst du:

> Hi, I've been trying to compile PHP on Windows for days. 

[...]

> I see that in cygwin sys/types.h uses "long long" to define a 64 bit value, but 
> Microsoft calls them "__int64". I can change the cygwin typedefs from long long 
> to __int64, but it's hard to think that this would be required without someone 
> describing this somewhere... 

[...]

> Is this a PHP problem, a Cygwin problem, a Visual Studio problem, or a Me 
> problem?  Can you use Cygwin headers with MS VC++ 6.0?  

Hmmm, I would say a MS problem.  They don't follow the standards.
long long is pretty standard, they allow longlong (IIRC) or call
it different (__int64).

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/